Attribute VB_Name = "Constants"
'#########################################################################
' Copyright  Center for Disease Control and Prevention, 1998.
'
' File Name: Constants.bas
'
' Description:
'
' Original Author: Setumo Mohapi
'
' Date Created:
' $Archive: $
' $Revision: 1.10 $
' $Date: 2002/09/17 21:46:10 $
' $Author: fsmith $
'#########################################################################
Option Explicit
Public Const VARICELLA = "VAR"
Public Const ZIP_CODE_DIGITS = 5
Public Const TOTAL_COST = 25000
Public Const VACMAN_LOG_PATH = "C:\tmp\Vacman.log"

'Pin numbers cannot be greater than six characters
Public Const MAX_PIN_SIZE = 6

'Minimum dose in series number - applies to all vaccines
Public Const MIN_DOSE_IN_SERIES_NUMBER = 0

'These constants are used to check whether a given string is alphanumeric
Public Const CHAR_0 = 48
Public Const CHAR_9 = 57
Public Const CHAR_A = 65
Public Const CHAR_Z = 90
Public Const CHAR_Aa = 97
Public Const CHAR_Zz = 122

Public Const VACMAN_DLL_USER = "VAC_DLL"

Public Const ZERO_PIN = "0"

'Constants and Formats for Phone/Fax Formats. Note that these could
'be made into classes if more formats are needed. The exclamation forces
'the formatting to start from left to right.
Public Const PHONE_FAX_NUMBER_LENGTH = 14
Public Const PHONE_FAX_FORMAT = "!(@@@) @@@-@@@@"

'Constants for varicella eligibility as currently defined in
'the database
Public Const VARICELLA_ELIGIBLE = "V"
Public Const NOT_VARICELLA_ELIGIBLE = ""


'User-defined categories
Public Const CATEGORY1 = 1
Public Const CATEGORY2 = 2
Public Const CATEGORY3 = 3

'Provider sectors
Public Const PROVIDER_SECTOR_MIN = 10
Public Const PROVIDER_SECTOR_MAX = 29

'Private Provider sectors
Public Const PRIVATE_PROVIDER_SECTOR_MIN = 20
Public Const PRIVATE_PROVIDER_SECTOR_MAX = 29

'Constants for doses administered sectors
Public Const VACC_ADMIN_PUBLIC_SECTOR = "1"
Public Const VACC_ADMIN_PRIVATE_SECTOR = "2"

'Pmd value to determine if vaccines are available for private providers
Public Const NOT_FOR_PRIVATE_PROVIDERS = "N"

'Depot sectors
Public Const DEPOT_SECTOR_MIN = 30
Public Const DEPOT_SECTOR_MAX = 31

'Adjustment codes
Public Const PROVIDER_ORDER = 1
Public Const RETURNED = 2
Public Const SPOILED = 3
Public Const EXPIRED = 4
Public Const LOST_DAMAGED = 5
'R1701 - Start - Adding the following new inventory adjustment codes
Public Const FAILURE_TO_STORE = 6
Public Const REFRIGERATION = 7
Public Const LOST_UNACCOUNTED = 11
'R1701 - End
Public Const TRANSFER = 8
Public Const TRANSMITTED = 9
Public Const OTHER = 12

'The following pins cannot be assigned as new pins
Public Const RESERVED_PIN_1 = "999998"
Public Const RESERVED_PIN_2 = "999999"

'Constant to denote that order is a varicella order in the stock table
Public Const MANUFACTURER_ORDER = "2"

'CDC-defined funding codes
Public Const VFC_FUNDING_CODE = 1
Public Const G317_FUNDING_CODE = 2
Public Const STATE_FUNDING_CODE = 3
Public Const OTHER_STATE_FUNDING_CODE = 4

'Excess Allowances
Public Const EXCESS_ALLOW_MIN = 1
Public Const EXCESS_ALLOW_MAX = 5
Public Const EXCESS_ALLOW_DEFAULT = "1"

Public Const SHIPPING_ACTION_CODE = "1"

Public Const PIN_LENGTH = 6

Public Const NONE_STRING = "NONE"

Public Const VM_UNKNOWN_ERROR_NUMBER = 1999
Public Const VM_UNKNOWN_ERROR_MESSAGE = "Unknown exception raised by the VACMAN dll"
Public Const VM_NULL_PROVIDER_PIN_NUMBER = 2000
Public Const VM_NULL_PROVIDER_PIN_MESSAGE = "A null provider PIN was entered"
Public Const VM_NULL_PROVIDER_NAME_NUMBER = 20001
Public Const VM_NULL_PROVIDER_NAME_MESSAGE = "Null provider name was entered"
Public Const VM_NULL_SHIPPING_CONTACT_NUMBER = 20002
Public Const VM_NULL_SHIPPING_CONTACT_MESSAGE = "Null shipping contact was entered"
Public Const VM_DUPLICATE_PROVIDER_PINS_NUMBER = 20003
Public Const VM_DUPLICATE_PROVIDER_PINS_MESSAGE = "Provider PIN entered has a duplicate"
Public Const VM_PROVIDER_PIN_NOT_FOUND_NUMBER = 20004
Public Const VM_PROVIDER_PIN_NOT_FOUND_MESSAGE = "Provider entered not found in VACMAN"
Public Const VM_PROVIDER_PIN_RECORD_COUNT_ERROR_NUMBER = 20005
Public Const VM_PROVIDER_PIN_RECORD_COUNT_ERROR_MESSAGE = "Error while verifying provider PIN in VACMAN"
Public Const VM_NULL_SHIPPING_ADDRESS1_NUMBER = 20006
Public Const VM_NULL_SHIPPING_ADDRESS1_MESSAGE = "The first field of the shipping address cannot be null"
Public Const VM_NULL_SHIPPING_CITY_NUMBER = 20007
Public Const VM_NULL_SHIPPING_CITY_MESSAGE = "The city field in the shipping address cannot be null"
Public Const VM_NULL_SHIPPING_STATE_NUMBER = 20008
Public Const VM_NULL_SHIPPING_STATE_MESSAGE = "The state field in the shipping address cannot be null"
Public Const VM_ZIP_CODE_RECORD_COUNT_ERROR_NUMBER = 20009
Public Const VM_ZIP_CODE_RECORD_COUNT_ERROR_MESSAGE = "Error while verifying zipcodes in VACMAN"
Public Const VM_DUPLICATE_ZIP_CODE_NUMBER = 20010
Public Const VM_DUPLICATE_ZIP_CODE_MESSAGE = "Duplicate zipcodes found while verifying zipcode in VACMAN"
Public Const VM_ZIP_CODE_NOT_FOUND_NUMBER = 20011
Public Const VM_ZIP_CODE_NOT_FOUND_MESSAGE = "The zip code and city pair entered not found in VACMAN"
Public Const VM_ORDER_DATE_ERROR_NUMBER = 20012
Public Const VM_ORDER_DATE_ERROR_MESSAGE = "Order Date should not be later than today's date "
Public Const VM_SHIPMENT_DATE_ERROR_NUMBER = 20013
Public Const VM_SHIPMENT_DATE_ERROR_MESSAGE = "Shipment Date should not be later than order date "
Public Const VM_DEPOT_PIN_RECORD_COUNT_ERROR_NUMBER = 20014
Public Const VM_DEPOT_PIN_RECORD_COUNT_ERROR_MESSAGE = "Error while verifying depot PIN in VACMAN"
Public Const VM_DUPLICATE_DEPOT_PINS_NUMBER = 20015
Public Const VM_DUPLICATE_DEPOT_PINS_MESSAGE = "Provider PIN entered has a duplicate"
Public Const VM_VACC_REF_RECORD_COUNT_ERROR_NUMBER = 20016
Public Const VM_VACC_REF_RECORD_COUNT_ERROR_MESSAGE = "Error while verifying vaccine reference table in VACMAN"
Public Const VM_DUPLICATE_VACC_REF_NUMBER = 20017
Public Const VM_DUPLICATE_VACC_REF_MESSAGE = "Vaccine Type entered has a duplicate"
Public Const VM_DUPLICATE_DEPOT_ORDER_ERROR_NUMBER = 20018
Public Const VM_DUPLICATE_DEPOT_ORDER_ERROR_MESSAGE = "Error while verifying duplicate depot provider order in VACMAN"
Public Const VM_AVAIL_INVENTORY_LOT_COUNT_ERROR_NUMBER = 20019
Public Const VM_AVAIL_INVENTORY_LOT_COUNT_ERROR_MESSAGE = "Error - inventory record not found in VACMAN for the given values"
Public Const VM_DUPLICATE_DUPLICATE_AVAIL_INVENTORY_LOT_NUMBER = 20020
Public Const VM_DUPLICATE_DUPLICATE_AVAIL_INVENTORY_LOT_MESSAGE = "Available inventory has a duplicate"
Public Const VM_NULL_SHIPMENT_DATE_NUMBER = 20021
Public Const VM_NULL_SHIPMENT_DATE_MESSAGE = "A Null Shipment Date is entered"
Public Const VM_NULL_DEPOT_PIN_NUMBER = 20022
Public Const VM_NULL_DEPOT_PIN_MESSAGE = "A NULL depot pin is entered"
Public Const VM_NULL_VACCINE_NAME_NUMBER = 20023
Public Const VM_NULL_VACCINE_NAME_MESSAGE = "A NULL vaccine name is entered"
Public Const VM_NULL_LOTNUMBER_NUMBER = 20024
Public Const VM_NULL_LOTNUMBER_MESSAGE = "A NULL lot number is entered"
Public Const VM_NULL_DOSE_NUMBER = 20025
Public Const VM_NULL_DOSE_MESSAGE = "The number of doses for an order must be greater than zero"
Public Const VM_NOT_ENOUGH_STOCK_NUMBER = 20026
Public Const VM_NOT_ENOUGH_STOCK_MESSAGE = "There is not inventory for the shipment"
Public Const VM_VACC_ADMIN_REPORT_DATE_ERROR_NUMBER = 20027
Public Const VM_VACC_ADMIN_REPORT_DATE_ERROR_MESSAGE = "Vaccine Admin Date should not be later than today's date "
Public Const VM_NULL_REPORT_DATE_NUMBER = 20028
Public Const VM_NULL_REPORT_DATE_MESSAGE = "A NULL report date is entered"
Public Const VM_DIST_TOTAL_DISMATCH_NUMBER = 20029
Public Const VM_DIST_TOTAL_DISMATCH_MESSAGE = "The sum of the distribution does not match the Total"
Public Const VM_NULL_SECTOR_NUMBER = 20030
Public Const VM_NULL_SECTOR_MESSAGE = "A NULL sector is entered"
Public Const VM_DUPLICATE_SECTOR_NUMBER = 20031
Public Const VM_DUPLICATE_SECTOR_MESSAGE = "A NULL sector is entered"
Public Const VM_SECTOR_ERROR_NUMBER = 20031
Public Const VM_SECTOR_ERROR_MESSAGE = "Error while verifying sector"
Public Const VM_DUPLICATE_DOSES_ADMIN_ERROR_NUMBER = 20032
Public Const VM_DUPLICATE_DOSES_ADMIN_ERROR_MESSAGE = "Error while verifying duplicate doses admin"
Public Const VM_PIN_NOT_FOUND_FOR_SHIPPING_UPDATE_NUMBER = 20033
Public Const VM_PIN_NOT_FOUND_FOR_SHIPPING_UPDATE_MESSAGE = "Provider PIN not found for shipping data update"
Public Const VM_LOT_NUMBER_ERROR_NUMBER = 20034
Public Const VM_LOT_NUMBER_ERROR_MESSAGE = "Error verifying lot number"
Public Const VM_DUPLICATE_LOT_NUMBER_NUMBER = 20035
Public Const VM_DUPLICATE_LOT_NUMBER_MESSAGE = "Duplicate lot numbers found"
Public Const VM_ACTION_CODE_ERROR_NUMBER = 20036
Public Const VM_ACTION_CODE_ERROR_MESSAGE = "Error verifying adjustment type"
Public Const VM_DUPLICATE_ACTION_CODES_NUMBER = 20037
Public Const VM_DUPLICATE_ACTION_CODES_MESSAGE = "Duplicate adjustment type found"
Public Const VM_DUPLICATE_INVENTORY_ADJUSTMENT_NUMBER = 20038
Public Const VM_DUPLICATE_INVENTORY_ADJUSTMENT_MESSAGE = "More than one record for the same adjustment was found"
Public Const VM_INVENTORY_ADJUSTMENT_RECORD_COUNT_ERROR_NUMBER = 20039
Public Const VM_INVENTORY_ADJUSTMENT_RECORD_COUNT_ERROR_MESSAGE = "Error while looking for duplicate adjustment records"
Public Const VM_WRONG_ACTION_CODES_NUMBER = 20040
Public Const VM_WRONG_ACTION_CODES_MESSAGE = "The adjustment entered cannot be inserted into VACMAN with this application"
Public Const VM_UNKNOWN_ACTION_CODES_NUMBER = 20041
Public Const VM_UNKNOWN_ACTION_CODES_MESSAGE = "Unknown adjustment for update"
Public Const VM_DOSES_ERROR_NUMBER = 20042
Public Const VM_DOSES_ERROR_MESSAGE = "Error determining current doses for inventory adjustment update"
Public Const VM_NULL_TRANSACTION_DATE_NUMBER = 20043
Public Const VM_NULL_TRANSACTION_DATE_MESSAGE = "Null transaction date was entered for inventory adjustment update"
Public Const VM_NULL_ENTRY_DATE_NUMBER = 20044
Public Const VM_NULL_ENTRY_DATE_MESSAGE = "Null entry date was entered for inventory adjustment update"
Public Const VM_CANNOT_MAKE_CONNECTION_NUMBER = 20045
Public Const VM_CANNOT_MAKE_CONNECTION_MESSAGE = "Cannot make find a VACMAN for the given state"
Public Const VM_NULL_STATE_PO_NUMBER = 20046
Public Const VM_NULL_STATE_PO_MESSAGE = "A state PO number is required for state funding code"
Public Const VM_FUNDING_CODE_RECORD_COUNT_ERROR_NUMBER = 20047
Public Const VM_FUNDING_CODE_RECORD_COUNT_ERROR_MESSAGE = "Error while verifying funding code"
Public Const VM_UNKNOWN_FUNDING_CODE_NUMBER = 20048
Public Const VM_UNKNOWN_FUNDING_CODE_MESSAGE = "Funding code entered has not been defined in VACMAN"
Public Const VM_DUPLICATE_FUNDING_CODE_NUMBER = 20049
Public Const VM_DUPLICATE_FUNDING_CODE_MESSAGE = "Duplicate funding codes found in VACMAN"
Public Const VM_CONNECTION_NOT_OPEN_NUMBER = 20050
Public Const VM_CONNECTION_NOT_OPEN_MESSAGE = "The connection you tried to use is not open"
Public Const VM_VACCINE_DOES_NOT_EXIST_NUMBER = 20051
Public Const VM_VACCINE_DOES_NOT_EXIST_MESSAGE = "Vaccine not available to private provider in VACMAN"
Public Const VM_CONTRACT_TABLE_ERROR_NUMBER = 20052
Public Const VM_CONTRACT_TABLE_ERROR_MESSAGE = "Error while verifying order against vaccine contract table"
Public Const VM_DUPLICATE_CONTRACT_TABLE_NUMBER = 20053
Public Const VM_DUPLICATE_CONTRACT_TABLE_MESSAGE = "Duplicate records found in vaccine contract table"
Public Const VM_MANUFACTURER_ORDER_ERROR_NUMBER = 20054
Public Const VM_MANUFACTURER_ORDER_ERROR_MESSAGE = "Error while verifing order against duplicates"
Public Const VM_DUPLICATE_MANUFACTURER_ORDER_NUMBER = 20055
Public Const VM_DUPLICATE_MANUFACTURER_ORDER_MESSAGE = "More than one record for the same manufacturer order was found"
Public Const VM_INVALID_FAX_NUMBER_NUMBER = 20056
Public Const VM_INVALID_FAX_NUMBER_MESSAGE = "Invalid fax number format"
Public Const VM_INVALID_PHONE_NUMBER_NUMBER = 20057
Public Const VM_INVALID_PHONE_NUMBER_MESSAGE = "Invalid phone number format"
Public Const VM_INVALID_CONTRACT_NUMBER = 20058
Public Const VM_INVALID_CONTRACT_MESSAGE = "Current order does not satisfy any contract for the vaccine in VACMAN"
Public Const VM_INACTIVE_PROVIDER_PIN_NUMBER = 20059
Public Const VM_INACTIVE_PROVIDER_PIN_MESSAGE = "The current PIN is inactive in the database"
Public Const VM_INVALID_CLASSIFICATION_CODE_NUMBER = 20060
Public Const VM_INVALID_CLASSIFICATION_CODE_MESSAGE = "Invalid classification code for a provider"
Public Const VM_MISSING_CLASSIFICATION_CODE_NUMBER = 20061
Public Const VM_MISSING_CLASSIFICATION_CODE_MESSAGE = "Classification code is needed when creating new provider records in VACMAN"
Public Const VM_INVALID_SHIPMENT_BEGIN_DATE_NUMBER = 20062
Public Const VM_INVALID_SHIPMENT_BEGIN_DATE_MESSAGE = "The Shipment Begin Date that was entered is not a valid date"
Public Const VM_INVALID_SHIPMENT_END_DATE_NUMBER = 20063
Public Const VM_INVALID_SHIPMENT_END_DATE_MESSAGE = "The Shipment End Date that was entered is not a valid date"
Public Const VM_INVENTORY_ADJUSTMENT_DATE_ERROR_NUMBER = 20064
Public Const VM_INVENTORY_ADJUSTMENT_DATE_ERROR_MESSAGE = "The transaction date must be on or before the entry date for inventory adjustments"
Public Const VM_SUBDIVISION_ERROR_NUMBER = 20065
Public Const VM_SUBDIVISION_ERROR_MESSAGE = "Error while verifying provider subdivision"
Public Const VM_DUPLICATE_SUBDIVISION_NUMBER = 20066
Public Const VM_DUPLICATE_SUBDIVISION_MESSAGE = "Duplicate subdivisions found"
Public Const VM_UNKNOWN_SUBDIVISION_NUMBER = 20067
Public Const VM_UNKNOWN_SUBDIVISION_MESSAGE = "The subdivision entered does not exist in the database"
Public Const VM_EXCESS_ALLOW_RANGE_ERROR_NUMBER = 20068
Public Const VM_EXCESS_ALLOW_RANGE_ERROR_MESSAGE = "The excess allowance is out of range"
Public Const VM_INVALID_DATE_RANGE_NUMBER = 20069
Public Const VM_INVALID_DATE_RANGE_MESSAGE = "The end of the date range must be later than the beginning of the range, and both must be valid dates"
Public Const VM_EVENT_DATE_ERROR_NUMBER = 20070
Public Const VM_EVENT_DATE_ERROR_MESSAGE = "Error while checking status of manufacturer order"
Public Const VM_MANUFACTURER_ORDER_AT_CDC_NUMBER = 20071
Public Const VM_MANUFACTURER_ORDER_AT_CDC_MESSAGE = "A manufacturer order with the same parameters has already been sent to the CDC. Cannot update current order."
Public Const VM_CANNOT_ASSIGN_RESERVED_PIN_NUMBER = 20072
Public Const VM_CANNOT_ASSIGN_RESERVED_PIN_MESSAGE = "The given pin number is reserved and cannot be assigned to a new provider."
Public Const VM_INVALID_VFC_CERT_DATE_NUMBER = 20073
Public Const VM_INVALID_VFC_CERT_DATE_MESSAGE = "VFC certification date is not a valid date"
Public Const VM_INVALID_ADJUSTMENT_ENTRY_DATE_NUMBER = 20074
Public Const VM_INVALID_ADJUSTMENT_ENTRY_DATE_MESSAGE = "Entry date for the adjustment is not a valid date"
Public Const VM_INVALID_ADJUSTMENT_TRANSACTION_DATE_NUMBER = 20074
Public Const VM_INVALID_ADJUSTMENT_TRANSACTION_DATE_MESSAGE = "Transaction date for the adjustment is not a valid date"
Public Const VM_INVALID_MANUFACTURER_ORDER_DATE_NUMBER = 20075
Public Const VM_INVALID_MANUFACTURER_ORDER_DATE_MESSAGE = "Order date for the manufacturer order is not a valid date"
Public Const VM_NULL_MANUFACTURER_ORDER_ENTRY_DATE_NUMBER = 20076
Public Const VM_NULL_MANUFACTURER_ORDER_ENTRY_DATE_MESSAGE = "Null value for manufacturer order date"
Public Const VM_MAX_PIN_SIZE_VIOLATION_NUMBER = 20078
Public Const VM_MAX_PIN_SIZE_VIOLATION_MESSAGE = "The number of characters in the pin entered exceeds the maximum allowed"
Public Const VM_INVALID_PROVIDER_PIN_TYPE_NUMBER = 20079
Public Const VM_INVALID_PROVIDER_PIN_TYPE_MESSAGE = "The provider pin number entered is not alphanumeric. Only alphanumeric pins are allowed."
Public Const VM_INVALID_DEPOT_PIN_TYPE_NUMBER = 20080
Public Const VM_INVALID_DEPOT_PIN_TYPE_MESSAGE = "The provider pin number entered is not alphanumeric. Only alphanumeric pins are allowed."
Public Const VM_INVENTORY_ADJUSTMENT_ENTRY_DATE_NUMBER = 20081
Public Const VM_INVENTORY_ADJUSTMENT_ENTRY_DATE_MESSAGE = "The entry date for adjustments cannot be greater than today's date"
Public Const VM_INVALID_ADJUSTMENT_DOSES_NUMBER = 20082
Public Const VM_INVALID_ADJUSTMENT_DOSES_MESSAGE = "The number of doses in an inventory adjustment record must be greater than zero"
Public Const VM_INACTIVE_PROVIDER_ERROR_NUMBER = 20083
Public Const VM_INACTIVE_PROVIDER_ERROR_MESSAGE = "The provider enter is currently inactivate in VACMAN. Cannot proceed with the current operation"
Public Const VM_ZERO_PIN_ERROR_NUMBER = 20084
Public Const VM_ZERO_PIN_ERROR_MESSAGE = "Pin number cannot be zero for a new provider record"
Public Const VM_INVALID_VACC_ADMIN_SECTOR_NUMBER = 20085
Public Const VM_INVALID_VACC_ADMIN_SECTOR_MESSAGE = "The given sector is not a valid doses administered sector"
Public Const VM_INACTIVE_VACCINE_NUMBER = 20086
Public Const VM_INACTIVE_VACCINE_MESSAGE = "The vaccine being used in the current operation is inactive in VACMAN"
Public Const VM_MIN_DOSE_IN_SERIES_VIOLATION_NUMBER = 20087
Public Const VM_MIN_DOSE_IN_SERIES_VIOLATION_MESSAGE = "The dose in series number given is less than the minimum allowed for all vaccines"
Public Const VM_MAX_DOSE_IN_SERIES_VIOLATION_NUMBER = 20088
Public Const VM_MAX_DOSE_IN_SERIES_VIOLATION_MESSAGE = "The dose in series number given is greater than the maximum allowed for the vaccine"
Public Const VM_ENROLLMENT_DATA_RECORD_ERROR_NUMBER = 20089
Public Const VM_ENROLLMENT_DATA_RECORD_ERROR_MESSAGE = "Error while reading enrollment data for current provider"
Public Const VM_DUPLICATE_ENROLLMENT_DATA_RECORDS_NUMBER = 20090
Public Const VM_DUPLICATE_ENROLLMENT_DATA_RECORDS_MESSAGE = "There are duplicate enrollment data records for the current provider"
Public Const VM_NULL_FUNDING_SOURCE_NUMBER = 20091
Public Const VM_NULL_FUNDING_SOURCE_MESSAGE = "A Null funding source is entered"
Public Const VM_PROVIDER_NOT_ELIGIBLE_FOR_VAR_NUMBER = 20092
Public Const VM_PROVIDER_NOT_ELIGIBLE_FOR_VAR_MESSAGE = "The provider is not eligible for ordering VAR"
Public Const VM_NO_STATE_PO_NEEDED_NUMBER = 20093
Public Const VM_NO_STATE_PO_NEEDED_MESSAGE = "The state PO is not needed for federal funded order"
Public Const VM_ORDER_DOSE_NOT_A_MULTIPLE_OF_VIAL_NUMBER = 20094
Public Const VM_ORDER_DOSE_NOT_A_MULTIPLE_OF_VIAL_MESSAGE = "The ordered dose is not a multiple of the vail size"
Public Const VM_INVALID_ACTIVE_CODE_NUMBER = 20095
Public Const VM_INVALID_ACTIVE_CODE_MESSAGE = "The active code entered is not Y nor N"
Public Const VM_PHYSICN_DATA_RECORD_ERROR_NUMBER = 20096
Public Const VM_PHYSICN_DATA_RECORD_ERROR_MESSAGE = "Error while reading physicn data for current physician"
Public Const VM_DUPLICATE_PHYSICN_DATA_RECORDS_NUMBER = 20097
Public Const VM_DUPLICATE_PHYSICN_DATA_RECORDS_MESSAGE = "There are duplicate physicn data records for the current provider"
Public Const VM_NULL_ENROLL_PIN_NUMBER = 20098
Public Const VM_NULL_ENROLL_PIN_MESSAGE = "Null PIN for Enroll table Add/Update"
Public Const VM_NULL_ENROLL_SOURCE_NUMBER = 20099
Public Const VM_NULL_ENROLL_SOURCE_MESSAGE = "Null Source for Enroll table Add/Update"
Public Const VM_NULL_ENROLL_AGE_GROUP_NUMBER = 20100
Public Const VM_NULL_ENROLL_AGE_GROUP_MESSAGE = "Null Age Group for Enroll table Add/Update"
Public Const VM_NULL_ENROLL_ALL_KIDS_NUMBER = 20101
Public Const VM_NULL_ENROLL_ALL_KIDS_MESSAGE = "Null AllKids Total for Enroll table Add/Update"
Public Const VM_NULL_ENROLL_MEDICAID_NUMBER = 20102
Public Const VM_NULL_ENROLL_MEDICAID_MESSAGE = "Null Medicaid Total for Enroll table Add/Update"
Public Const VM_NULL_ENROLL_UNINSURED_NUMBER = 20103
Public Const VM_NULL_ENROLL_UNINSURED_MESSAGE = "Null Uninsured Total for Enroll table Add/Update"
Public Const VM_NULL_ENROLL_AMINDIAN_NUMBER = 20104
Public Const VM_NULL_ENROLL_AMINDIAN_MESSAGE = "Null American Indian Total for Enroll table Add/Update"
Public Const VM_NULL_ENROLL_FQHC_RHC_NUMBER = 20105
Public Const VM_NULL_ENROLL_FQHC_RHC_MESSAGE = "Null FQHC_RHC Total for Enroll table Add/Update"
Public Const VM_NULL_ENROLL_VFC_NUMBER = 20106
Public Const VM_NULL_ENROLL_VFC_MESSAGE = "Null VFC Total for Enroll table Add/Update"
Public Const VM_NULL_ENROLL_G317_NUMBER = 20107
Public Const VM_NULL_ENROLL_G317_MESSAGE = "Null G317 Total for Enroll table Add/Update"
Public Const VM_NULL_ENROLL_STATE_NUMBER = 20108
Public Const VM_NULL_ENROLL_STATE_MESSAGE = "Null State Total for Enroll table Add/Update"
Public Const VM_ENROLL_INV_AGE_GROUP_NUMBER = 20109
Public Const VM_ENROLL_INV_AGE_GROUP_MESSAGE = "Non-numeric or invalid age group for Enroll table Add/Update"
Public Const VM_ENROLL_INV_ALL_KIDS_NUMBER = 20110
Public Const VM_ENROLL_INV_ALL_KIDS_MESSAGE = "Non-numeric All Kids Total for Enroll table Add/Update"
Public Const VM_ENROLL_INV_MEDICAID_NUMBER = 20111
Public Const VM_ENROLL_INV_MEDICAID_MESSAGE = "Non-numeric Medicaid Total for Enroll table Add/Update"
Public Const VM_ENROLL_INV_UNINSURED_NUMBER = 20112
Public Const VM_ENROLL_INV_UNINSURED_MESSAGE = "Non-numeric Uninsured Total for Enroll table Add/Update"
Public Const VM_ENROLL_INV_AMINDIAN_NUMBER = 20113
Public Const VM_ENROLL_INV_AMINDIAN_MESSAGE = "Non-numeric American Indian Total for Enroll table Add/Update"
Public Const VM_ENROLL_INV_FQHC_RHC_NUMBER = 20114
Public Const VM_ENROLL_INV_FQHC_RHC_MESSAGE = "Non-numeric FQHC_RHC Total for Enroll table Add/Update"
Public Const VM_ENROLL_INV_VFC_NUMBER = 20115
Public Const VM_ENROLL_INV_VFC_MESSAGE = "Non-numeric VFC Total for Enroll table Add/Update"
Public Const VM_ENROLL_INV_G317_NUMBER = 20116
Public Const VM_ENROLL_INV_G317_MESSAGE = "Non-numeric G317 Total for Enroll table Add/Update"
Public Const VM_ENROLL_INV_STATE_NUMBER = 20117
Public Const VM_ENROLL_INV_STATE_MESSAGE = "Non-numeric State Total for Enroll table Add/Update"
Public Const VM_ENROLL_INV_SOURCE_NUMBER = 20118
Public Const VM_ENROLL_INV_SOURCE_MESSAGE = "Source value not A-G or Z for Enroll table Add/Update"
Public Const VM_NULL_PROVIDER_TYPE_NUMBER = 20119
Public Const VM_NULL_PROVIDER_TYPE_MESSAGE = "Null Provider Type for Provider table Update"
Public Const VM_NULL_PROVIDER_VFC_CERT_DATE_NUMBER = 20120
Public Const VM_NULL_PROVIDER_VFC_CERT_DATE_MESSAGE = "Null VFC Certification Date for Provider table Add/Update"
Public Const VM_NULL_PROVIDER_COHORT_NUMBER = 20121
Public Const VM_NULL_PROVIDER_COHORT_MESSAGE = "Null Cohort for Provider table Update"
Public Const VM_NULL_PROVIDER_EMP_ID_NUMBER = 20122
Public Const VM_NULL_PROVIDER_EMP_ID_MESSAGE = "Null Employee ID Number for Provider table Update"
Public Const VM_NULL_PROVIDER_IMMPACT_NUMBER = 20123
Public Const VM_NULL_PROVIDER_IMMPACT_MESSAGE = "Null ImmPact Value for Provider table Update"
Public Const VM_INV_PROVIDER_IMMPACT_NUMBER = 20124
Public Const VM_INV_PROVIDER_IMMPACT_MESSAGE = "ImmPact Value not YES/NO for Provider table Update"
Public Const VM_INV_PROVIDER_CLASSIFICATION_NUMBER = 20125
Public Const VM_INV_PROVIDER_CLASSIFICATION_MESSAGE = "Non-numeric Classification for Provider table Update"
Public Const VM_NULL_PHYS_LAST_NAME_NUMBER = 20126
Public Const VM_NULL_PHYS_LAST_NAME_MESSAGE = "Null Last Name for Physicn table Add/Update"
Public Const VM_NULL_PHYS_FIRST_NAME_NUMBER = 20127
Public Const VM_NULL_PHYS_FIRST_NAME_MESSAGE = "Null First Name for Physicn table Add/Update"
Public Const VM_NULL_PHYS_SITE_MED_ID_NUMBER = 20128
Public Const VM_NULL_PHYS_SITE_MED_ID_MESSAGE = "Null Site Med ID for Physicn table Add/Update"
Public Const VM_NULL_PHYS_MEDICAID_NUM_NUMBER = 20129
Public Const VM_NULL_PHYS_MEDICAID_NUM_MESSAGE = "Null Medicaid Number for Physicn table Add/Update"
Public Const VM_NULL_PHYS_LICENSE_NUM_NUMBER = 20130
Public Const VM_NULL_PHYS_LICENSE_NUM_MESSAGE = "Null License Number for Physicn table Add/Update"
Public Const VM_INV_PHYS_FIELD_LEN_NUMBER = 20131
Public Const VM_INV_PHYS_FIELD_LEN_MESSAGE = "Incorrect field length for Physicn table Add/Update: "
Public Const VM_INV_PROVIDER_FIELD_LEN_NUMBER = 20132
Public Const VM_INV_PROVIDER_FIELD_LEN_MESSAGE = "Incorrect field length for Provider table Update: "
Public Const VM_INV_ENROLL_FIELD_LEN_NUMBER = 20133
Public Const VM_INV_ENROLL_FIELD_LEN_MESSAGE = "Incorrect field length for Enroll table Add/Update: "
Public Const VM_NULL_PROVHAS_VACC_NUMBER = 20134
Public Const VM_NULL_PROVHAS_VACC_MESSAGE = "Null Vaccine field for Provider Inventory Add/Update"
Public Const VM_NULL_PROVHAS_INV_NUMBER = 20135
Public Const VM_NULL_PROVHAS_INV_MESSAGE = "Null Inventory field for Provider Inventory Add/Update"
Public Const VM_INV_PROVHAS_INV_NUMBER = 20136
Public Const VM_INV_PROVHAS_INV_MESSAGE = "Non numeric Inventory field for Provider Inventory Add/Update"
Public Const VM_PROVHAS_DATA_RECORD_ERROR_NUMBER = 20137
Public Const VM_PROVHAS_DATA_RECORD_ERROR_MESSAGE = "Error while reading provhas data"
Public Const VM_NULL_PROVHAS_INV_DATE_NUMBER = 20138
Public Const VM_NULL_PROVHAS_INV_DATE_MESSAGE = "Null Inventory Date field for Provider Inventory Add/Update"
Public Const VM_INV_PROVHAS_INV_DATE_NUMBER = 20139
Public Const VM_INV_PROVHAS_INV_DATE_MESSAGE = "Invalid Inventory Date field for Provider Inventory Add/Update"
Public Const VM_INVALID_MAIL_PHONE_NUMBER_NUMBER = 20140
Public Const VM_INVALID_MAIL_PHONE_NUMBER_MESSAGE = "Invalid mailing phone number format"
Public Const VM_INVALID_MAIL_FAX_NUMBER_NUMBER = 20141
Public Const VM_INVALID_MAIL_FAX_NUMBER_MESSAGE = "Invalid mailing fax number format"
Public Const VM_INVALID_SHIP_PHONE_NUMBER_NUMBER = 20142
Public Const VM_INVALID_SHIP_PHONE_NUMBER_MESSAGE = "Invalid shipping phone number format"
Public Const VM_INVALID_SHIP_FAX_NUMBER_NUMBER = 20143
Public Const VM_INVALID_SHIP_FAX_NUMBER_MESSAGE = "Invalid shipping fax number format"

